--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The RemoteDispatcher is a kind of MessageMapper, tuned to handle RemoteMessages
constants: []

full_name: "::Bot::RemoteDispatcher"
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: handle
- !ruby/object:RI::MethodSummary 
  name: map
- !ruby/object:RI::MethodSummary 
  name: unmap
name: RemoteDispatcher
superclass: MessageMapper
